"Legend" retains some space if "Group results by change" is enabled
Closed, ResolvedPublic

Description

The issue is present only when "Group results by change" is enabled and highlighting makes it even more apparent.

  1. Enable "Group results by change" on RC page
  2. Depending on length of entries in results, "Legend" box pushes the result entries and retains extra white space around.
    • Highlighting makes the impact more visible.

Gif illustrations

Without grouping, the entries are occupying 100% width, but nicely wrapped around "Legend" box. This is especially visible with highlighting enabled. You can see how "Legend" box is behaving when grouping is enabled/disabled:

Without groupingWith Grouping

Without highlighting

The problem exists without highlighting as well. Here is the example of how "Legend" box pushes entire RC entry on the left, without wrapping around the box, even though there is more than enough room for wrapping.

Without groupingWith Grouping
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 9:15 PM
Petar.petkovic renamed this task from 'Legend' retains some space if 'Group results by change' with highlight options is enabled to "Legend" retains some space if "Group results by change" is enabled.Nov 28 2017, 1:25 PM
Petar.petkovic updated the task description. (Show Details)
Petar.petkovic updated the task description. (Show Details)

Change 394069 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] Absolutely position "legend" on grouped results

https://gerrit.wikimedia.org/r/394069

Change 394069 merged by jenkins-bot:
[mediawiki/core@master] Absolutely position "legend" on grouped results

https://gerrit.wikimedia.org/r/394069

SBisson added a subscriber: SBisson.Dec 6 2017, 5:53 PM

Really an edge-case, but FYI, when there's only 1 or 2 results, the legend is bigger than the results area and overlaps the footer images. Only happens when results are grouped by page.

Really an edge-case, but FYI, when there's only 1 or 2 results, the legend is bigger than the results area and overlaps the footer images. Only happens when results are grouped by page.

I was aware of that one. Thanks for sharing with others, so we get opinions whether this is acceptable trade-off.

Checked in betalabs and testwiki(wmf.11) - the legend expanding/collapsing works smoothly - not occupying extra space and not overlapping the page footer when there are not many results on the page.

Etonkovidova closed this task as Resolved.Dec 6 2017, 8:22 PM